## libksysguard 6.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(libksysguard)

set(PROJECT_VERSION "6.5.1")

# check with non-Plasma consumers (e.g. KDevelop) before bumping these versions to make sure the KDE CI does not break
set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(ECMAddTests)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMQmlModule)

include(CMakePackageConfigHelpers)
include(CheckIncludeFiles)
include(CheckLibraryExists)
include(FeatureSummary)
include(GenerateExportHeader)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED CONFIG COMPONENTS DBus Network Widgets Qml Quick)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Config I18n Auth Service Package NewStuff Solid)

find_package(ZLIB REQUIRED)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
                       URL "https://zlib.net/"
                       TYPE REQUIRED
                      )

check_library_exists(c clock_gettime "time.h" HAVE_CLOCK_GETTIME_C)

ecm_setup_version(${PROJECT_VERSION}
                  VARIABLE_PREFIX KSYSGUARD
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ksysguard_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KSysGuardConfigVersion.cmake"
                  SOVERSION 10
)

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    find_package(NL)
    set_package_properties(NL PROPERTIES
        TYPE REQUIRED
        PURPOSE "Used for gathering socket info via the sock_diag netlink subsystem."
        URL "https://github.com/thom311/libnl/"
    )
    find_package(libpcap)
    set_package_properties(
        libpcap PROPERTIES
        TYPE RECOMMENDED
        PURPOSE "libpcap is used for per-application network usage."
    )

    if(libpcap_FOUND )
        set(BUILD_NETWORK_PLUGIN TRUE)

        find_package(Libcap)
        set_package_properties(Libcap PROPERTIES
            TYPE OPTIONAL
            PURPOSE "Needed for setting capabilities of the per-application network plugin."
        )
    endif()

    find_package(Sensors)
    set_package_properties(Sensors PROPERTIES
        TYPE REQUIRED
        PURPOSE "Used for reading hardware sensors")
endif()

find_package(Libdrm REQUIRED)

option(ENABLE_KAUTH_HELPER "Build and install ksysguardprocesslist_helper KAuth helper" ON)
add_feature_info(KAUTH_HELPER ${ENABLE_KAUTH_HELPER} "Build and install ksysguardprocesslist_helper KAuth helper")

ecm_set_disabled_deprecation_versions(
    QT 5.15.0
    KF 6.0.0
)

add_definitions(-DQT_USE_QSTRINGBUILDER)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

add_subdirectory( formatter )
add_subdirectory( processcore )
add_subdirectory( sensors )
add_subdirectory( faces )
add_subdirectory( systemstats )

if(BUILD_TESTING)
    add_subdirectory( autotests )
endif()

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

set(CMAKECONFIG_INSTALL_DIR ${KDE_INSTALL_LIBDIR}/cmake/KSysGuard)
configure_package_config_file(KSysGuardConfig.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/KSysGuardConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/KSysGuardConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/KSysGuardConfigVersion.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(EXPORT libksysguardLibraryTargets
        NAMESPACE KSysGuard::
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        FILE KSysGuardLibraryTargets.cmake )

ecm_qt_install_logging_categories(
        EXPORT LIBKSYSGUARD
        FILE libksysguard.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
find_package(Qt6 REQUIRED CONFIG COMPONENTS Test)

include_directories(${libksysguard_SOURCE_DIR})

# Process unit test
ecm_qt_declare_logging_category(processtest_debug_SRCS HEADER processcore_debug.h IDENTIFIER LIBKSYSGUARD_PROCESSCORE CATEGORY_NAME org.kde.libksysguard.processcore)
ecm_add_test(processtest.cpp processtest.h ${processtest_debug_SRCS} TEST_NAME processtest LINK_LIBRARIES KSysGuard::ProcessCore Qt::Test)

ecm_add_test(formattertest.cpp LINK_LIBRARIES Qt::Test KSysGuard::Formatter)
ecm_add_test(sensortreemodeltest.cpp LINK_LIBRARIES Qt::Test Qt::DBus KSysGuard::Sensors)
ecm_add_test(sensordatamodeltest.cpp LINK_LIBRARIES Qt::Test Qt::DBus KSysGuard::Sensors KSysGuard::Formatter)
ecm_add_test(processdatamodeltest.cpp LINK_LIBRARIES Qt::Test KSysGuard::ProcessCore)
ecm_add_test(cgrouptest.cpp LINK_LIBRARIES Qt::Test KF6::Service KSysGuard::ProcessCore)

include_directories(../faces)
ecm_add_test(sensorfacecontrollertest.cpp LINK_LIBRARIES
    Qt::Test
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::I18n
    KF6::Package
    KF6::ConfigQml
    KF6::Solid
    KSysGuard::SensorFaces
)

=== faces/CMakeLists.txt ===
set(KSYSGUARD_SENSORS_SOVERSION 2)

add_definitions(-DTRANSLATION_DOMAIN=\"KSysGuardSensorFaces\")

add_subdirectory(facepackages)
add_subdirectory(packagestructure)

set(faces_LIB_SRCS
    SensorFaceController.cpp
    SensorFace.cpp
    FaceLoader.cpp
    resources.qrc
)

set(faces_LIB_HEADERS
    SensorFace_p.h
    SensorFaceController.h
    FaceLoader.h
)

ecm_qt_declare_logging_category(faces_LIB_SRCS
    HEADER faces_logging.h
    IDENTIFIER LIBKSYSGUARD_FACES
    CATEGORY_NAME org.kde.libksysguard.faces
    DESCRIPTION "libksysguard (faces)" EXPORT LIBKSYSGUARD)

set_source_files_properties(org.kde.KSysGuardDaemon.xml PROPERTIES INCLUDE SensorInfo_p.h)

add_library(SensorFaces ${faces_LIB_SRCS} ${faces_LIB_HEADERS})
add_library(KSysGuard::SensorFaces ALIAS SensorFaces)

ecm_add_qml_module(SensorFaces URI "org.kde.ksysguard.faces"
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES
    "QtCore"
    "QtQuick"
    "org.kde.config"
)

ecm_target_qml_sources(SensorFaces SOURCES
    import/ExtendedLegend.qml
    import/SensorFace.qml
    import/SensorRangeSpinBox.qml
    import/Choices.qml
    import/CompactSensorFace.qml
    import/SuffixSpinBox.qml
)

ecm_finalize_qml_module(SensorFaces)

ecm_add_qml_module(SensorFacesPrivate URI "org.kde.ksysguard.faces.private"
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
)

target_sources(SensorFacesPrivate PRIVATE private_types.h)

ecm_finalize_qml_module(SensorFacesPrivate)

target_include_directories(SensorFaces
    PUBLIC
    "$<BUILD_INTERFACE:${libksysguard_SOURCE_DIR}>"
    "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/ksysguard/>"
)

generate_export_header(SensorFaces)

target_link_libraries(SensorFaces
    PUBLIC
        Qt::Qml
        Qt::Quick
        KF6::ConfigCore
        KF6::ConfigGui
        KSysGuard::Formatter
        KSysGuard::Sensors
    PRIVATE
        Qt::Core
        Qt::DBus
        KF6::I18n
        KF6::Package
        KF6::ConfigQml
        KF6::Solid
)

set_target_properties(SensorFaces PROPERTIES
    LIBRARY_OUTPUT_NAME KSysGuardSensorFaces
    VERSION ${KSYSGUARD_VERSION}
    SOVERSION ${KSYSGUARD_SENSORS_SOVERSION}
)

install(TARGETS SensorFaces EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${faces_LIB_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/sensorfaces_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard/faces
    COMPONENT Devel
)

install(FILES systemmonitor-faces.knsrc systemmonitor-presets.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

=== formatter/CMakeLists.txt ===

set(Formatter_SOVERSION 2)

set(formatter_SRCS
    Formatter.cpp
    Unit.cpp
    FormatterWrapper.cpp
)

set(formatter_HDRS
    Formatter.h
    Unit.h
    FormatterWrapper.h
)

ecm_qt_declare_logging_category(formatter_SRCS
    HEADER formatter_debug.h
    IDENTIFIER FORMATTER
    CATEGORY_NAME org.kde.libksysguard.formatter
    DESCRIPTION "libksysguard (formatter)" EXPORT LIBKSYSGUARD
)

add_library(Formatter ${formatter_SRCS} ${formatter_HDRS})
add_library(KSysGuard::Formatter ALIAS Formatter)

ecm_add_qml_module(Formatter URI "org.kde.ksysguard.formatter" VERSION 1.0 GENERATE_PLUGIN_SOURCE)

ecm_finalize_qml_module(Formatter)

target_link_libraries(Formatter
    PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
    PRIVATE
    KF6::CoreAddons
    KF6::I18n
)

generate_export_header(Formatter)

target_include_directories(Formatter
    PUBLIC
    "$<BUILD_INTERFACE:${libksysguard_SOURCE_DIR}>"
    "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/ksysguard/>"
)

set_target_properties(Formatter PROPERTIES
    LIBRARY_OUTPUT_NAME KSysGuardFormatter
    VERSION ${KSYSGUARD_VERSION}
    SOVERSION ${Formatter_SOVERSION}
)

target_compile_definitions(Formatter PRIVATE -DTRANSLATION_DOMAIN=\"KSysGuardFormatter\")

install(TARGETS Formatter EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${formatter_HDRS}
    ${CMAKE_CURRENT_BINARY_DIR}/formatter_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard/formatter
)

=== debian/changelog ===
libksysguard (4:6.5.1-0zneon+24.04+noble+release+build31) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 07:13:15 +0000

libksysguard (4:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:52:21 +0000

libksysguard (4:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:27:10 +0000

libksysguard (4:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 03:59:30 +0000

libksysguard (4:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:16:33 +0000

libksysguard (4:6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:04:19 +0000

libksysguard (4:6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:30:58 +0000

libksysguard (4:6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:46:24 +0000

libksysguard (4:6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:20:35 +0000

libksysguard (4:6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:54:34 +0000

libksysguard (4:6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:05:30 +0000

libksysguard (4:6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:04:14 +0000

libksysguard (4:6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:07:47 +0000

libksysguard (4:6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:51:27 +0000

libksysguard (4:6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:27:21 +0000

libksysguard (4:6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 02:58:07 +0000

libksysguard (4:6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:30:50 +0000

libksysguard (4:6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:09:40 +0000

libksysguard (4:6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:01:37 +0000

libksysguard (4:6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:08:12 +0000

libksysguard (4:6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 12:35:55 +0000

libksysguard (4:6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:19:45 +0000

libksysguard (4:6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:28:54 +0000

libksysguard (4:6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:04:59 +0000

libksysguard (4:6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:38:19 +0000

libksysguard (4:6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 12:57:23 +0000

libksysguard (4:6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:16:28 +0000

libksysguard (4:6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:48:02 +0000

libksysguard (4:6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2024 00:11:20 +0000

libksysguard (4:6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:21:02 +0000

libksysguard (4:5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:13:31 +1000

libksysguard (4:5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:50:04 +0000

libksysguard (4:5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 14:58:59 +0000

libksysguard (4:5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:18:11 +0000

libksysguard (4:5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:18:11 +0000

libksysguard (4:5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:04:27 +0000

libksysguard (4:5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:32:47 +0000

libksysguard (4:5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:30:31 +0000

libksysguard (4:5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:10:12 +0000

libksysguard (4:5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:03:03 +0000

libksysguard (4:5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:33:57 +0000

libksysguard (4:5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Feb 2023 12:47:49 +0000

libksysguard (4:5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:46:08 +0000

libksysguard (4:5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:43:30 +0000

libksysguard (4:5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:22:20 +0000

libksysguard (4:5.26.0-0neon) focal; urgency=medium

  * New release



=== debian/control ===
Source: libksysguard
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kauth-dev,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-knewstuff-dev,
               kf6-kservice-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               libcap-dev,
               libnl-3-dev,
               libnl-route-3-dev,
               libpcap-dev,
               libplasma-dev,
               libsensors-dev,
               libx11-dev,
               libz-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               qt6-webengine-dev,
               xauth,
               xvfb,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/libksysguard
Vcs-Git: https://invent.kde.org/neon/kde/libksysguard.git
Vcs-Browser: https://invent.kde.org/neon/kde/libksysguard
Maintainer: Neon CI <neon@kde.org>

Package: libksysguard
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-kdeclarative,
         kf6-kirigami2,
         kf6-kitemmodels,
         kf6-kquickcharts,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-quickcharts,
         qml6-module-qtquick,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: ksysguard-data,
          ksysguardd,
          libkf5sysguard,
          libkf5sysguard-bin,
          libkf5sysguard-data,
          libksgrd10,
          libksignalplotter10,
          libksysguardsensorfaces2,
          libksysguardsensors2,
          libksysguardsystemstats2,
          liblsofui10,
          libprocesscore10,
          libprocessui10,
          qml-module-org-kde-ksysguard
Description: library for monitoring your system - shared library
 libksysguard is a collection of libraries and qml6 modules
 to monitor various elements of your system.
 .
 This package contains the shared library, executables and data files

Package: libksysguard-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-kconfig-dev,
         kf6-ki18n-dev,
         kf6-kiconthemes-dev,
         libksysguard (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf5sysguard-dev
Description: library for monitoring your system - development files
 libksysguard is a collection of libraries and qml6 modules
 to monitor various elements of your system.
 .
 This package contains the files necessary for development.

Package: libksgrd10
Architecture: all
Depends: libksysguard, ${misc:Depends}
Replaces: libksgrd7, libksgrd8, libksgrd9
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libksignalplotter10
Architecture: all
Depends: libksysguard, ${misc:Depends}
Replaces: libksignalplotter7, libksignalplotter8, libksignalplotter9
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libksysguardformatter2
Architecture: all
Depends: libksysguard, ${misc:Depends}
Replaces: libksysguardformatter1
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libksysguardsensors2
Architecture: all
Depends: libksysguard, ${misc:Depends}
Replaces: libksysguardsensors1
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libksysguardsensorfaces2
Architecture: all
Depends: libksysguard, ${misc:Depends}
Replaces: libksysguardsensorfaces1
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libksysguardsystemstats2
Architecture: all
Depends: libksysguard, ${misc:Depends}
Replaces: libksysguardsystemstats1
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: liblsofui10
Architecture: all
Depends: libksysguard, ${misc:Depends}
Replaces: liblsofui7, liblsofui8, liblsofui9
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libprocesscore10
Architecture: all
Depends: libksysguard, ${misc:Depends}
Replaces: libprocesscore9
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libprocessui10
Architecture: all
Depends: libksysguard, ${misc:Depends}
Replaces: libprocessui9, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: qml6-module-org-kde-ksysguard
Architecture: all
Depends: libksysguard, ${misc:Depends}
Replaces: qml-module-org-kde-ksysguard
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: ksysguard-data
Architecture: all
Depends: libksysguard, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: ksysguardd
Architecture: all
Depends: libksysguard, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libkf5sysguard-bin
Architecture: all
Depends: libksysguard, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libkf5sysguard-data
Architecture: all
Depends: libksysguard, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libkf5sysguard-dev
Architecture: all
Depends: libksysguard-dev, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libksgrd9
Architecture: all
Depends: libksgrd10, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libksignalplotter9
Architecture: all
Depends: libksignalplotter10, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libksysguardformatter1
Architecture: all
Depends: libksysguardformatter2, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libksysguardsensorfaces1
Architecture: all
Depends: libksysguardsensorfaces2, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libksysguardsensors1
Architecture: all
Depends: libksysguardsensors2, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libksysguardsystemstats1
Architecture: all
Depends: libksysguardsystemstats2, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: liblsofui9
Architecture: all
Depends: liblsofui10, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libprocesscore9
Architecture: all
Depends: libprocesscore10, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libprocessui9
Architecture: all
Depends: libprocessui10, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: qml-module-org-kde-ksysguard
Architecture: all
Depends: qml6-module-org-kde-ksysguard, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_DESIGNERPLUGIN=ON

override_dh_installdeb:
	sed 's/#DEB_HOST_MULTIARCH#/$(DEB_HOST_MULTIARCH)/' \
	  debian/libksysguard.postinst.in > debian/libksysguard.postinst
	dh_installdeb

## libksysguard 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(libksysguard)
 
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 
 # check with non-Plasma consumers (e.g. KDevelop) before bumping these versions to make sure the KDE CI does not break
 set(QT_MIN_VERSION "6.9.0")

=== systemstats/CMakeLists.txt ===
set(SystemStats_SOVERSION 2)

add_compile_definitions(TRANSLATION_DOMAIN="ksysguard_systemstats")

set(systemstats_SRCS
    AggregateSensor.cpp
    SensorObject.cpp
    SensorContainer.cpp
    SensorPlugin.cpp
    SensorProperty.cpp
    SysFsSensor.cpp
    DBusInterface.cpp
)

set(systemstats_HDRS
    AggregateSensor.h
    SensorObject.h
    SensorContainer.h
    SensorPlugin.h
    SensorProperty.h
    SensorsFeatureSensor.h
    SysFsSensor.h
    SysctlSensor.h
    SensorInfo.h
    DBusInterface.h
)

set_source_files_properties(org.kde.ksystemstats1.xml PROPERTIES INCLUDE SensorInfo.h)
qt_add_dbus_interface(dbusinterface_SRCS org.kde.ksystemstats1.xml org.kde.ksystemstats1)

# Symbol visibility trickery: We cannot generate the DBus interface class with
# the right export macro, so instead create it as a static library with the right
# visibility preset set, then link to that in the shared library.
add_library(dbusinterface STATIC ${dbusinterface_SRCS})
set_target_properties(dbusinterface PROPERTIES CXX_VISIBILITY_PRESET default)
target_link_libraries(dbusinterface Qt::Core Qt::DBus KSysGuard::Formatter)
set_property(TARGET dbusinterface PROPERTY POSITION_INDEPENDENT_CODE ON)

add_library(SystemStats ${systemstats_SRCS})
add_library(KSysGuard::SystemStats ALIAS SystemStats)

ecm_qt_declare_logging_category(SystemStats
    HEADER systemstats_logging.h
    IDENTIFIER SYSTEMSTATS
    CATEGORY_NAME org.kde.libksysguard.systemstats
    DESCRIPTION "libksysguard (system stats)"
    EXPORT LIBKSYSGUARD
)

target_include_directories(SystemStats
    PUBLIC
    "$<BUILD_INTERFACE:${libksysguard_SOURCE_DIR}>"
    "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/ksysguard/>"
)

target_link_libraries(SystemStats PUBLIC Qt::Core Qt::DBus KSysGuard::Formatter PRIVATE dbusinterface)

if (SENSORS_FOUND)
    target_sources(SystemStats PRIVATE SensorsFeatureSensor.cpp)
    target_link_libraries(SystemStats PUBLIC ${SENSORS_LIBRARIES} KF6::I18n)
    target_include_directories(SystemStats PUBLIC ${SENSORS_INCLUDE_DIR})
endif()

generate_export_header(SystemStats)

set_target_properties(SystemStats PROPERTIES
    LIBRARY_OUTPUT_NAME KSysGuardSystemStats
    VERSION ${KSYSGUARD_VERSION}
    SOVERSION ${SystemStats_SOVERSION}
)

install(TARGETS SystemStats EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${systemstats_HDRS}
    ${CMAKE_CURRENT_BINARY_DIR}/systemstats_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.ksystemstats1.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard/systemstats
)

install(FILES org.kde.ksystemstats1.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

=== faces/packagestructure/CMakeLists.txt ===
add_library(ksysguard_sensorface MODULE sensorfacepackage.cpp)

target_link_libraries(ksysguard_sensorface PRIVATE KF6::Package KF6::I18n)

install(TARGETS ksysguard_sensorface DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/packagestructure)

=== processcore/plugins/network/CMakeLists.txt ===

include(ECMQtDeclareLoggingCategory)

add_subdirectory(helper)

set(networkplugin_SRCS
    network.cpp
)

ecm_qt_declare_logging_category(networkplugin_SRCS
    HEADER networklogging.h
    IDENTIFIER KSYSGUARD_PLUGIN_NETWORK
    CATEGORY_NAME org.kde.ksysguard.plugin.network
)

configure_file(networkconstants.h.in networkconstants.h @ONLY)

add_library(ksysguard_plugin_network MODULE ${networkplugin_SRCS})
target_link_libraries(ksysguard_plugin_network Qt::Core Qt::DBus KF6::CoreAddons KF6::I18n KSysGuard::ProcessCore)

install(TARGETS ksysguard_plugin_network DESTINATION ${KDE_INSTALL_PLUGINDIR}/ksysguard/process)

=== debian/changelog ===
libksysguard (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:12:53 +0000

libksysguard (4:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:47:09 +0000

libksysguard (4:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:37:50 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

execute_before_dh_installdeb:
	sed 's/#DEB_HOST_MULTIARCH#/$(DEB_HOST_MULTIARCH)/' \
	  debian/libksysguard-bin.postinst.in > debian/libksysguard-bin.postinst

## libksysguard 6.5.2+p24.04+vunstable+git20251113.0815

=== debian/changelog ===
libksysguard (4:6.5.2+p24.04+vunstable+git20251113.0815-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 08:15:24 +0000

libksysguard (4:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:13:34 +1000

## libksysguard 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(libksysguard)
 
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 
 # check with non-Plasma consumers (e.g. KDevelop) before bumping these versions to make sure the KDE CI does not break
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
libksysguard (4:6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:23:32 +0100

libksysguard (4:6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:23:17 +0100

libksysguard (4:6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:09:12 +0100

## libksysguard 6.5.3+p24.04+vunstable+git20251123.0113

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(libksysguard)
 
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.80")
 
 # check with non-Plasma consumers (e.g. KDevelop) before bumping these versions to make sure the KDE CI does not break
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
libksysguard (4:6.5.3+p24.04+vunstable+git20251123.0113-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 01:13:30 +0000

libksysguard (4:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:14:22 +1000

## libksysguard 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(libksysguard)
 
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.4")
 
 # check with non-Plasma consumers (e.g. KDevelop) before bumping these versions to make sure the KDE CI does not break
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
libksysguard (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:18:49 +0000

libksysguard (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:08:01 +0000

=== debian/control ===
Source: libksysguard
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libcap-dev [linux-any],
               libcap2-bin [linux-any],
               libdrm-dev,
               libkf6auth-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6solid-dev (>= 6.18.0~),
               libnl-3-dev [linux-any],
               libnl-route-3-dev [linux-any],
               libpcap-dev [linux-any],
               libsensors-dev [linux-any],
               libx11-dev,
               libxkbcommon-dev,
               libxres-dev,
               qml6-module-org-kde-kitemmodels (>= 6.18.0~),
               qml6-module-org-kde-quickcharts,
               qml6-module-qt5compat-graphicaleffects,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev (>= 6.9.0~),
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/libksysguard
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
Rules-Requires-Root: no

Package: libksysguard-bin
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ksysguard (<< 4:5.21.80), libkf5sysguard-bin (<< 4:6.1.0-1ubuntu1~),
Replaces: ksysguard (<< 4:5.21.80), libkf5sysguard-bin (<< 4:6.1.0-1ubuntu1~),
Description: library for system monitoring - utilities
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the support utilities.

Package: libkf5sysguard-bin
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring
 Transitional dummy package.

Package: libkf5sysguard-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for system monitoring
 Transitional dummy package.

Package: libksgrd9
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libksignalplotter9
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libksysguard-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${qml6:Depends},
Suggests: qml6-module-org-kde-ksysguard,
Breaks: ksysguard-data (<< 4:5.21.80),
        libkf5sysguard-data (<< 4:6.1.0-1ubuntu1~),
Replaces: ksysguard-data (<< 4:5.21.80),
          libkf5sysguard-data (<< 4:6.1.0-1ubuntu1~),
Description: library for system monitoring - data files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the data files

Package: libksysguard-dev
Section: libdevel
Architecture: any
Depends: libkf6config-dev (>= 6.18.0~),
         libkf6i18n-dev (>= 6.18.0~),
         libksysguard-bin (= ${binary:Version}),
         libksysguardformatter2 (= ${binary:Version}),
         libksysguardsensorfaces2 (= ${binary:Version}),
         libksysguardsensors2 (= ${binary:Version}),
         libksysguardsystemstats2 (= ${binary:Version}),
         libprocesscore10 (= ${binary:Version}),
         qml6-module-org-kde-ksysguard (= ${binary:Version}),
         qt6-base-dev (>= 6.9.0~),
         ${misc:Depends},
Breaks: libkf5sysguard-dev,
Replaces: libkf5sysguard-dev,
Description: library for system monitoring - development files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the files necessary for development.

Package: libksysguardformatter1
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libksysguardformatter2
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardformatter shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardformatter.

Package: libksysguardsensorfaces1
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libksysguardsensorfaces2
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsensorfaces shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsensorfaces.

Package: libksysguardsensors1
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libksysguardsensors2
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsensors shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsensors.

Package: libksysguardsystemstats1
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libksysguardsystemstats2
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsystemstats shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsystemstats.

Package: liblsofui9
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libprocesscore10
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - processcore shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libprocesscore.

Package: libprocesscore9
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libprocessui9
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: qml-module-org-kde-ksysguard
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: qml6-module-org-kde-ksysguard
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: KSysGuard QtDeclarative QML Support
 Contains a plugin for QtDeclarative that provides
 support for using KSysGuard components written
 in QML.

## libksysguard 6.5.4+p24.04+vstable+git20251231.0304

=== debian/changelog ===
libksysguard (4:6.5.4+p24.04+vstable+git20251231.0304-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:04:20 +0000

libksysguard (4:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:22:41 +1000

## libksysguard 6.5.4+p24.04+vstable+git20260101.0057

=== debian/changelog ===
libksysguard (4:6.5.4+p24.04+vstable+git20260101.0057-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 00:57:39 +0000

## libksysguard 6.5.4+p24.04+vstable+git20260105.0919

=== debian/changelog ===
libksysguard (4:6.5.4+p24.04+vstable+git20260105.0919-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:19:35 +0000

## libksysguard 6.5.5

=== debian/changelog ===
libksysguard (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:56:38 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-exec,
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libcap-dev [linux-any],

## libksysguard 6.5.5+p24.04+vstable+git20260130.0804

=== debian/changelog ===
libksysguard (4:6.5.5+p24.04+vstable+git20260130.0804-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:04:17 +0000

libksysguard (4:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:31:42 +1000

## libksysguard 6.5.5+p24.04+vstable+git20260131.1323

=== debian/changelog ===
libksysguard (4:6.5.5+p24.04+vstable+git20260131.1323-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 13:23:25 +0000

## libksysguard 6.5.5+p24.04+vunstable+git20260201.0727

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 project(libksysguard)
 
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.6.80")
 
 # check with non-Plasma consumers (e.g. KDevelop) before bumping these versions to make sure the KDE CI does not break
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)

=== processcore/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"processcore\")

########### next target ###############

set(ksysguard_LIB_SRCS
   application_data_model.cpp application_data_model.h
   cgroup.cpp cgroup.h
   cgroup_data_model.cpp cgroup_data_model.h
   extended_process_list.cpp extended_process_list.h
   processes.cpp
   process.cpp
   process_attribute.cpp
   processes_local_p.cpp processes_local_p.h
   process_controller.cpp
   process_attribute_model.cpp
   process_data_model.cpp
   process_data_provider.cpp
   process_foreign_types.h
   enums.h
)
ecm_qt_declare_logging_category(ksysguard_LIB_SRCS HEADER processcore_debug.h IDENTIFIER LIBKSYSGUARD_PROCESSCORE CATEGORY_NAME org.kde.libksysguard.processcore
    DESCRIPTION "libksysguard (processcore)" EXPORT LIBKSYSGUARD)

add_library(processcore ${ksysguard_LIB_SRCS})
add_library(KSysGuard::ProcessCore ALIAS processcore)

generate_export_header(processcore)

target_link_libraries(processcore
   PUBLIC
    Qt::Core
    KSysGuard::Formatter
    KF6::Service
   PRIVATE
    KF6::I18n
    KF6::AuthCore
    KF6::CoreAddons
    ZLIB::ZLIB
)

if( ${CMAKE_SYSTEM_NAME} MATCHES "NetBSD" )
  message(STATUS "Adding kvm library on NetBSD")
  target_link_libraries(processcore kvm)
endif()

if(NOT HAVE_CLOCK_GETTIME_C)
    target_link_libraries(processcore PRIVATE rt)
endif()

target_include_directories(processcore
    PUBLIC
        "$<BUILD_INTERFACE:${libksysguard_SOURCE_DIR}>"
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/ksysguard>"
)
set_target_properties(processcore PROPERTIES
    VERSION ${KSYSGUARD_VERSION}
    SOVERSION ${KSYSGUARD_SOVERSION}
    EXPORT_NAME ProcessCore
)

ecm_add_qml_module(processcore URI "org.kde.ksysguard.process" VERSION 1.0 GENERATE_PLUGIN_SOURCE)
ecm_finalize_qml_module(processcore)

install(TARGETS processcore EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(plugins)
add_subdirectory(identifytool)

########### install files ###############

install( FILES
    processes.h
    process.h
    process_controller.h
    process_attribute.h
    process_data_provider.h
    process_data_model.h
    process_attribute_model.h
    formatter.h
    unit.h
    enums.h
    ${CMAKE_CURRENT_BINARY_DIR}/processcore_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard/processcore
    COMPONENT Devel
)

#------ KAuth stuff

if(ENABLE_KAUTH_HELPER)
    # Auth example helper
    set(ksysguardprocesslist_helper_srcs
        helper.cpp helper.h
        process.cpp
        processes_local_p.cpp processes_local_p.h
    )

    add_executable(ksysguardprocesslist_helper ${ksysguardprocesslist_helper_srcs})
    target_link_libraries(ksysguardprocesslist_helper Qt::Core KF6::AuthCore KF6::I18n)
    install(TARGETS ksysguardprocesslist_helper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})

    kauth_install_helper_files(ksysguardprocesslist_helper org.kde.ksysguard.processlisthelper root)
    kauth_install_actions(org.kde.ksysguard.processlisthelper actions.actions)

    set_target_properties(ksysguardprocesslist_helper PROPERTIES COMPILE_FLAGS "-Wall -ggdb")
endif()

=== processcore/identifytool/CMakeLists.txt ===

add_executable(ksysguard-identify main.cpp)

target_link_libraries(ksysguard-identify PRIVATE KSysGuard::ProcessCore KF6::CoreAddons)

install(TARGETS ksysguard-identify ${KDE_INSTALL_DEFAULT_ARGUMENTS})

=== debian/changelog ===
libksysguard (4:6.5.5+p24.04+vunstable+git20260201.0727-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 07:27:53 +0000

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential, dbus-x11, openbox, xauth, xvfb, @builddeps@
Restrictions: rw-build-tree

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

## libksysguard 6.6.0+p24.04+vstable+git20260218.0237

=== debian/changelog ===
libksysguard (4:6.6.0+p24.04+vstable+git20260218.0237-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 18 Feb 2026 02:37:27 +0000

libksysguard (4:6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Feb 2026 03:34:50 +0000

## libksysguard 6.6.0+p24.04+vstable+git20260219.0341

=== debian/changelog ===
libksysguard (4:6.6.0+p24.04+vstable+git20260219.0341-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 03:41:51 +0000
